#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'pegawai.detail'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{admin.PegawaiCtr.index()}">&{'pegawai.headlist'}</a></li>
	<li class="active">&{'pegawai.detailsertifikat'}</li>
</ol>
<div class="content">

	#{if emptyData}
	<div class="bs-callout bs-callout-warning">
		<b>&{'pegawai.sertifikatnotfound'}</b>
		</p>
	</div>
	#{/if} 
	#{else}
	<table class="table table-sm table-bordered">
		<thead>
			<tr>
				<th>&{'pegawai.versi'}</th>
				<th>&{'pegawai.subjek'}</th>
				<th>&{'pegawai.sn'}</th>
				<th>&{'pegawai.issuer'}</th>
				<th>&{'pegawai.masa'}</th>
				<th>&{'pegawai.ket'}</th>
			</tr>
		</thead>
		<tbody>
			#{list certificates, as :'certificate'}
			<tr>
				<td class="horizLine">${certificate.cer_versi}</td>
				<td class="horizLine">${certificate.cer_subject_dn}</td>
				<td class="horizLine">${certificate.cer_sn}</td>
				<td class="horizLine">${certificate.cer_issuer_dn}</td>
				<td class="horizLine">${certificate.getValidDate(lastVersi)}</td>
				<td class="horizLine">${certificate.getKeterangan(lastVersi)}</td>
			</tr>
			#{/list}
		</tbody>
	</table>
	#{/else}
	#{if !emptyData}
		#{if certificateLast.isActive()}	
			#{form @admin.PegawaiCtr.revoke(certificateLast.cer_id), method:'POST'}
			#{button title:'Batalkan Sertifikat', confirm:'Anda yakin melakukan pembatalan sertifikat untuk Penyedia ini?'/}
			#{backButton action:@admin.PegawaiCtr.index() /} &nbsp;
			#{/form}
		#{/if}
		#{if certificateLast.isRevokeRequest()}	
			#{form @admin.PegawaiCtr.cancelRevoke(certificateLast.cer_id), method:'POST'}
			#{backButton action:@admin.PegawaiCtr.index() /} &nbsp;
			#{/form}
		#{/if}
	#{/if}
	#{else} 
		#{backButton action:@admin.PegawaiCtr.index() /} &nbsp;
	#{/else} 
</div>
